> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Server Backfill Ticket

> Get a matchmaking backfill ticket by ticket Id.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| MatchmakingEntityInvalid | 2001 |
| MatchmakingQueueNotFound | 2016 |
| MatchmakingRateLimitExceeded | 2054 |
| MatchmakingRequestTypeMismatch | 2058 |
| MatchmakingTicketNotFound | 2018 |
| MatchmakingUnauthorized | 2056 |




## OpenAPI

````yaml /services/playfab/api-references/rest/multiplayer/multiplayer.openapi.json post /Match/GetServerBackfillTicket
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Multiplayer API
  description: >-
    API methods for managing multiplayer servers. API methods for managing
    parties. The lobby service helps players group together to play multiplayer
    games. It is often used as a rendezvous point for players to share
    connection information. The TrueSkill service helps titles to estimate a
    player's skill based on their match results. The player skill values from
    this service are commonly used by a matchmaking service to provide players
    with balanced matches.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Lobby
    description: ''
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Matchmaking Admin
    description: Matchmaking Admin APIs
  - name: MultiplayerServer
    description: Multiplayer Server APIs
  - name: PubSub
    description: PlayFab PubSub APIs
  - name: TrueSkill
    description: TrueSkill APIs
  - name: TrueSkill Admin
    description: TrueSkill Admin APIs
paths:
  /Match/GetServerBackfillTicket:
    post:
      tags:
        - Matchmaking
      summary: Get Server Backfill Ticket
      description: |
        Get a matchmaking backfill ticket by ticket Id.

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | MatchmakingEntityInvalid | 2001 |
        | MatchmakingQueueNotFound | 2016 |
        | MatchmakingRateLimitExceeded | 2054 |
        | MatchmakingRequestTypeMismatch | 2058 |
        | MatchmakingTicketNotFound | 2018 |
        | MatchmakingUnauthorized | 2056 |
      operationId: GetServerBackfillTicket
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetServerBackfillTicketRequest'
        description: >-
          The ticket includes the players, their attributes, their teams, the
          ticket status, the match Id and the server details when applicable,
          etc. Only servers can get the ticket.
      responses:
        '200':
          $ref: '#/components/responses/GetServerBackfillTicketResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    GetServerBackfillTicketRequest:
      description: >-
        The ticket includes the players, their attributes, their teams, the
        ticket status, the match Id and the server details when applicable, etc.
        Only servers can get the ticket.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        EscapeObject:
          description: >-
            Determines whether the matchmaking attributes will be returned as an
            escaped JSON string or as an un-escaped JSON object.
          type: boolean
        QueueName:
          description: The name of the queue to find a match for.
          type: string
        TicketId:
          description: The Id of the ticket to find a match for.
          type: string
      required:
        - TicketId
        - QueueName
        - EscapeObject
      example:
        TicketId: 1c4b0daa-150e-47ae-9923-d770c0f9b07c
        QueueName: custom123
    GetServerBackfillTicketResult:
      type: object
      properties:
        CancellationReasonString:
          description: >-
            The reason why the current ticket was canceled. This field is only
            set if the ticket is in canceled state.
          type: string
        Created:
          description: The server date and time at which ticket was created.
          type: string
        GiveUpAfterSeconds:
          description: How long to attempt matching this ticket in seconds.
          type: number
          x-actualtype: int32
        MatchId:
          description: The Id of a match.
          type: string
        Members:
          description: >-
            A list of Users that are part of this ticket, along with their team
            assignments.
          type: array
          items:
            $ref: '#/components/schemas/MatchmakingPlayerWithTeamAssignment'
          x-isclass: true
        QueueName:
          description: The Id of a match queue.
          type: string
        ServerDetails:
          allOf:
            - $ref: '#/components/schemas/ServerDetails'
          description: The details of the server the members are connected to.
        Status:
          description: >-
            The current ticket status. Possible values are: WaitingForMatch,
            Canceled and Matched.
          type: string
        TicketId:
          description: The Id of the ticket to find a match for.
          type: string
      required:
        - TicketId
        - QueueName
        - Created
        - Status
        - GiveUpAfterSeconds
        - Members
        - ServerDetails
      example:
        TicketId: 1c4b0daa-150e-47ae-9923-d770c0f9b07c
        QueueName: custom123
        MatchId: 4e0c5fd7-80e9-4744-b0ce-061a7f067ff5
        Created: '2016-08-23T12:33:14'
        Status: Matched
        GiveUpAfterSeconds: 100
        Members: []
        ServerDetails:
          IPV4Address: 10.250.24.54
          Ports:
            - Name: PortName
              Num: 1243
          Region: WestUS
          Fqdn: vm.azure.cloudapp.net
          ServerId: 359e4634-7c8f-4d44-87a5-f3a876aac6c0
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    MatchmakingPlayerWithTeamAssignment:
      description: A player in a created matchmaking match with a team assignment.
      type: object
      properties:
        Attributes:
          allOf:
            - $ref: '#/components/schemas/MatchmakingPlayerAttributes'
          description: >-
            The user's attributes custom to the title. These attributes will be
            null unless the request has ReturnMemberAttributes flag set to true.
        Entity:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: The entity key of the matchmaking user.
        TeamId:
          description: The Id of the team the User is assigned to.
          type: string
      required:
        - Entity
    ServerDetails:
      type: object
      properties:
        Fqdn:
          description: >-
            The fully qualified domain name of the virtual machine that is
            hosting this multiplayer server.
          type: string
        IPV4Address:
          description: >-
            The IPv4 address of the virtual machine that is hosting this
            multiplayer server.
          type: string
        Ports:
          description: The ports the multiplayer server uses.
          type: array
          items:
            $ref: '#/components/schemas/Port'
          x-isclass: true
        Region:
          description: The server's region.
          type: string
        ServerId:
          description: The string server ID of the multiplayer server generated by PlayFab.
          type: string
      example:
        IPV4Address: 10.250.24.54
        Ports:
          - Name: PortName
            Num: 1243
        Region: WestUS
        Fqdn: vm.azure.cloudapp.net
        ServerId: 359e4634-7c8f-4d44-87a5-f3a876aac6c0
    MatchmakingPlayerAttributes:
      description: The matchmaking attributes for a user.
      type: object
      properties:
        DataObject:
          description: A data object representing a user's attributes.
          type: object
        EscapedDataObject:
          description: An escaped data object representing a user's attributes.
          type: string
    EntityKey:
      description: >-
        Combined entity type and ID structure which uniquely identifies a single
        entity.
      type: object
      properties:
        Id:
          description: Unique ID of the entity.
          type: string
        Type:
          description: >-
            Entity type. See
            https://learn.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types
          type: string
      required:
        - Id
    Port:
      type: object
      properties:
        Name:
          description: The name for the port.
          type: string
        Num:
          description: The number for the port.
          type: number
          x-actualtype: int32
        Protocol:
          allOf:
            - $ref: '#/components/schemas/ProtocolType'
          description: The protocol for the port.
      required:
        - Name
        - Num
        - Protocol
    ProtocolType:
      type: string
      enum:
        - TCP
        - UDP
  responses:
    GetServerBackfillTicketResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetServerBackfillTicketResult'
            example:
              code: 200
              status: OK
              data:
                TicketId: 1c4b0daa-150e-47ae-9923-d770c0f9b07c
                QueueName: custom123
                MatchId: 4e0c5fd7-80e9-4744-b0ce-061a7f067ff5
                Created: '2016-08-23T12:33:14'
                Status: Matched
                GiveUpAfterSeconds: 100
                Members: []
                ServerDetails:
                  IPV4Address: 10.250.24.54
                  Ports:
                    - Name: PortName
                      Num: 1243
                  Region: WestUS
                  Fqdn: vm.azure.cloudapp.net
                  ServerId: 359e4634-7c8f-4d44-87a5-f3a876aac6c0
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Get Server Backfill Ticket](/services/playfab/api-references/rest/multiplayer/matchmaking/get-server-backfill-ticket.md)
- [Using Server Backfill Tickets - REST API](/services/playfab/multiplayer/matchmaking/backfill-tickets.md)
- [PlayFab Release Notes 2020](/services/playfab/release-notes/2020.md)
- [Create Server Backfill Ticket](/api-reference/matchmaking/create-server-backfill-ticket.md)
- [Cancel Server Backfill Ticket](/api-reference/matchmaking/cancel-server-backfill-ticket.md)
